Package com.sun.jna.platform.win32

# Class WinDef.UINT

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.WinDef.UINT

All Implemented Interfaces:
  `NativeMapped`, `Serializable`, `Comparable<WinDef.UINT>`

Enclosing interface:
  WinDef

public static class WinDef.UINT extends IntegerType implements Comparable<WinDef.UINT>
32-bit unsigned int.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SIZE`
The Constant SIZE.

## Constructor Summary

Constructors
Constructor
Description
`UINT()`
Instantiates a new UINT.
`UINT(long value)`
Instantiates a new UINT.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(WinDef.UINT other)`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SIZE

public static final int SIZE
The Constant SIZE.

See Also:
  - Constant Field Values

## Constructor Details

### UINT

public UINT()
Instantiates a new UINT.

### UINT

public UINT(long value)
Instantiates a new UINT.

Parameters:
  `value` - the value

## Method Details

### compareTo

public int compareTo(WinDef.UINT other)

Specified by:
  `compareTo` in interface `Comparable<WinDef.UINT>`